-- library work;
-- use work.testrecfunc.all;

library ieee;
use ieee.std_logic_1164.all;
-- use ieee.numeric_std.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;

entity tb_testrecfunc is
  
end tb_testrecfunc;


architecture behav of tb_testrecfunc is

signal din11,din12,din13,dout1 : std_logic_vector(7 downto 0);
signal din21,din22,din23,dout2 : std_logic_vector(7 downto 0);
signal abus : std_logic_vector(1 downto 0);
signal clk : std_logic := '0';

component testrecfunc
  port (
    clk                    : in  std_logic;
    abus                   : in  std_logic_vector(1 downto 0);
    din11, din12, din13    : in  std_logic_vector(7 downto 0);
    dout1                  : out std_logic_vector(7 downto 0);
    din21, din22, din23    : in  std_logic_vector(7 downto 0);
    dout2                  : out std_logic_vector(7 downto 0));
end component;

begin  -- behav

  i0: testrecfunc port map (clk => clk, 
                  abus=> abus,
                  din11 => din11,din12 => din12,din13 => din13,dout1 => dout1,
                  din21 => din21,din22 => din22,din23 => din23,dout2 => dout2);

  pclk: process
  begin  -- process pclk
    clk <= not clk;
    wait for 20 ns;
  end process pclk;





  pinput: process
  begin  -- process pinput
    
    abus <= "11";

    din11 <= "11111110";
    din12 <= "11111101";
    din13 <= "11111011";

    din21 <= "00000001";
    din22 <= "00000010";
    din23 <= "00000100";

    wait for 40 ns;
    abus <= "10";

    wait for 30 ns;

    abus <= "00";
    wait for 100 ns;

    din11 <= "01111111";
    din21 <= "10000000";

    wait for 30 ns;

    abus <= "01";

    wait for 30 ns;
    
  end process pinput;
 



  
end behav;
